<template>
    <div>
        <el-container style="max-width: 1000px;margin: 0 auto;">
            <el-main style="padding: 0px;">
                <el-card style=" background-image: linear-gradient(rgb(99, 190, 247), rgb(119, 185, 251));">
                    <h2 style="margin: 0px 15px 15px 0px; color: white;">Paket Popular</h2>
                    <swiper :options="swiperOption">
                        <swiper-slide v-for="(product, j) in products" :key="j">
                            <el-card class="data" :body-style="{ padding: '0px' }">
                                <a :href="sub_site_url+'offer/'+product.id_produk">
                                    <div class="background backsize1" :style='{"background-image": "url("+sub_base_url+"upload/images/"+product.file_name+"-300x300"+product.extension+")"}'>
                                    </div>
                                </a>

                                <div style="padding: 10px;">
                                    <h5 v-line-clamp="lines" style="margin-bottom: 0px; line-height: 1;">
                                        <a style="color:black; line-height: 1.2; font-size: 16px;" :href="sub_site_url+'offer/'+product.id_produk">{{product.nama_produk}}</a>
                                    </h5>
                                    <h6 style="color: orange; margin: 0px;">From {{formatPrice(product.harga)}} IDR</h6>

                                    <div style="">
                                        <P style="margin: 0px;" v-if="product.days != null || product.nights != null || product.hours != null ">
                                            <el-tag size="mini" type="success" style="font-size: 10px;"><i class="fa fa-clock-o"></i>
                                                &nbsp;
                                                <span v-if="product.days != null && product.days != 'null'">{{product.days}}D</span>
                                                <span v-if="product.nights != null && product.nights != 'null'">{{product.nights}}N</span>
                                                <span v-if="product.hours != null && product.hours != 'null'">{{product.hours}}H
                                                </span>
                                            </el-tag>
                                        </P>
                                    </div>

                                    <div>
                                        <p style="margin: 0px;" v-if="product.jenis_tour != null">
                                            <el-tag size="mini" type="success" style="font-size: 10px;"><i class="fa fa-tag"></i>
                                                &nbsp;{{product.jenis_tour}}</el-tag>
                                        </p>
                                        <p style="margin: 0px;" v-if="product.jml_anggota != null">
                                            <el-tag size="mini" type="danger" style="font-size: 10px;"><i class="fa fa-male"></i>
                                                &nbsp; Min({{product.jml_anggota}}) Orang</el-tag>
                                        </p>
                                    </div>
                                </div>

                            </el-card>
                        </swiper-slide>
                        <swiper-slide>
                            <h4 style="text-align: center;"><a :href="sub_site_url+'homepage'"> Lihat Selengkapnya ...</a></h4>
                        </swiper-slide>
                        <!-- <div class="swiper-pagination" slot="pagination"></div> -->
                    </swiper>
                </el-card>
            </el-main>
        </el-container>
    </div>

</template>

<script>
    module.exports = {
        props: {
            sub_base_url: {
                type: String,
                require: true
            },
            sub_site_url: {
                type: String,
                require: true
            },
            sub_products: Array,
        },
        computed: {
            products() {
                this.loading = true;
                let products = this.sub_products;
                // console.log(products);
                this.loading = false;
                return products;
            }
        },
        data: function () {
            return {
                swiperOption: {
                    // slidesPerView: 2,
                    slidesPerView: 3.5,
                    spaceBetween: 10,
                    // centeredSlides: true,
                    grabCursor: true,
                    // freeMode: true,
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: true
                    }
                },
                loading: true,
                lines: 2,
            }
        },
        methods: {
            formatPrice(value) {
                let val = (value / 1).toFixed(0).replace('.', ',')
                return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".")
            },
            loadData() {
                this.loading = true;
                setTimeout(() => {
                    this.loading = false;
                }, 2000);
            }
        },
        // mounted() {
        // 	// console.log(window);
        // 	console.log(this.sub_products);
        // 	$(document).ready(function () {
        // 		console.log("ready!");
        // 		if (typeof window.instgrm !== 'undefined') {
        // 			window.instgrm.Embeds.process()
        // 		}

        // 	});
        // },
    };
</script>
<style scoped>
    .swiper-container {
        height: 350px;
        width: 100%;
    }

    .swiper-slide {
        /* text-align: center; */
        background-color: #eee;
        border-radius: 10px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .el-card__body {
        padding: 20px 20px 20px 20px;
    }

    .el-card.data {
        height: 100%;
        width: 100%;
        border-radius: 4px;
    }

    .background {
        background-size: cover;
        background-repeat: no-repeat;
        background-position: 50%;
        border-radius: 4px;
    }

    .backsize1 {
            height: 200px;
        }

    /* @media(min-width:500px) {
        .backsize1 {
            height: 150px;
        }
    } */

    @media(max-width:500px) {
        .backsize1 {
            height: 150px;
        }
    }
</style>